Menu

## ECICharset
in package

ECICharset.php : 19

ISO/IEC 18004:2000 - 8.4.1 Extended Channel Interpretation (ECI) Mode

### Table of Contents

BIG5 = 28
CP437 = 0
CP437_WO_GLI = 2
EUC_KR = 30
GB18030 = 29
ISO_IEC_10646_UCS_2 = 25
ISO_IEC_10646_UTF_8 = 26
ISO_IEC_646_1991 = 27
ISO_IEC_8859_1 = 3
ISO_IEC_8859_10 = 12
ISO_IEC_8859_11 = 13
ISO_IEC_8859_13 = 15
ISO_IEC_8859_14 = 16
ISO_IEC_8859_15 = 17
ISO_IEC_8859_16 = 18
ISO_IEC_8859_1_GLI = 1
ISO_IEC_8859_2 = 4
ISO_IEC_8859_3 = 5
ISO_IEC_8859_4 = 6
ISO_IEC_8859_5 = 7
ISO_IEC_8859_6 = 8
ISO_IEC_8859_7 = 9
ISO_IEC_8859_8 = 10
ISO_IEC_8859_9 = 11
MB_ENCODINGS = [ self::CP437 => null, self::ISO_IEC_8859_1_GLI => null, self::CP437_WO_GLI => null, self::ISO_IEC_8859_1 => 'ISO-8859-1', self::ISO_IEC_8859_2 => 'ISO-8859-2', self::ISO_IEC_8859_3 => 'ISO-8859-3', self::ISO_IEC_8859_4 => 'ISO-8859-4', self::ISO_IEC_8859_5 => 'ISO-8859-5', self::ISO_IEC_8859_6 => 'ISO-8859-6', self::ISO_IEC_8859_7 => 'ISO-8859-7', self::ISO_IEC_8859_8 => 'ISO-8859-8', self::ISO_IEC_8859_9 => 'ISO-8859-9', self::ISO_IEC_8859_10 => 'ISO-8859-10', self::ISO_IEC_8859_11 => null, self::ISO_IEC_8859_13 => 'ISO-8859-13', self::ISO_IEC_8859_14 => 'ISO-8859-14', self::ISO_IEC_8859_15 => 'ISO-8859-15', self::ISO_IEC_8859_16 => 'ISO-8859-16', self::SHIFT_JIS => 'SJIS', self::WINDOWS_1250_LATIN_2 => null, // @see https://www.php.net/manual/en/function.mb-convert-encoding.php#112547 self::WINDOWS_1251_CYRILLIC => 'Windows-1251', self::WINDOWS_1252_LATIN_1 => 'Windows-1252', self::WINDOWS_1256_ARABIC => null, // @see https://stackoverflow.com/a/8592995 self::ISO_IEC_10646_UCS_2 => 'UTF-16BE', self::ISO_IEC_10646_UTF_8 => 'UTF-8', self::ISO_IEC_646_1991 => 'ASCII', self::BIG5 => 'BIG-5', self::GB18030 => 'GB18030', self::EUC_KR => 'EUC-KR', ]
  map of charset id -> name
SHIFT_JIS = 20
WINDOWS_1250_LATIN_2 = 21
WINDOWS_1251_CYRILLIC = 22
WINDOWS_1252_LATIN_1 = 23
WINDOWS_1256_ARABIC = 24
$charsetID : int
  The current ECI character set ID
__construct() : mixed
getID() : int
  Returns the current character set ID
getName() : string|null
  Returns the name of the current character set or null if no name is available

### Constants

#### BIG5

ECICharset.php : 49
`public mixed BIG5 = 28`

#### CP437

ECICharset.php : 21
`public mixed CP437 = 0`

#### CP437_WO_GLI

ECICharset.php : 23
`public mixed CP437_WO_GLI = 2`

#### EUC_KR

ECICharset.php : 51
`public mixed EUC_KR = 30`

#### GB18030

ECICharset.php : 50
`public mixed GB18030 = 29`

#### ISO_IEC_10646_UCS_2

ECICharset.php : 46
`public mixed ISO_IEC_10646_UCS_2 = 25`

#### ISO_IEC_10646_UTF_8

ECICharset.php : 47
`public mixed ISO_IEC_10646_UTF_8 = 26`

#### ISO_IEC_646_1991

ECICharset.php : 48
`public mixed ISO_IEC_646_1991 = 27`

#### ISO_IEC_8859_1

ECICharset.php : 24
`public mixed ISO_IEC_8859_1 = 3`

#### ISO_IEC_8859_10

ECICharset.php : 33
`public mixed ISO_IEC_8859_10 = 12`

#### ISO_IEC_8859_11

ECICharset.php : 34
`public mixed ISO_IEC_8859_11 = 13`

#### ISO_IEC_8859_13

ECICharset.php : 36
`public mixed ISO_IEC_8859_13 = 15`

#### ISO_IEC_8859_14

ECICharset.php : 37
`public mixed ISO_IEC_8859_14 = 16`

#### ISO_IEC_8859_15

ECICharset.php : 38
`public mixed ISO_IEC_8859_15 = 17`

#### ISO_IEC_8859_16

ECICharset.php : 39
`public mixed ISO_IEC_8859_16 = 18`

#### ISO_IEC_8859_1_GLI

ECICharset.php : 22
`public mixed ISO_IEC_8859_1_GLI = 1`

#### ISO_IEC_8859_2

ECICharset.php : 25
`public mixed ISO_IEC_8859_2 = 4`

#### ISO_IEC_8859_3

ECICharset.php : 26
`public mixed ISO_IEC_8859_3 = 5`

#### ISO_IEC_8859_4

ECICharset.php : 27
`public mixed ISO_IEC_8859_4 = 6`

#### ISO_IEC_8859_5

ECICharset.php : 28
`public mixed ISO_IEC_8859_5 = 7`

#### ISO_IEC_8859_6

ECICharset.php : 29
`public mixed ISO_IEC_8859_6 = 8`

#### ISO_IEC_8859_7

ECICharset.php : 30
`public mixed ISO_IEC_8859_7 = 9`

#### ISO_IEC_8859_8

ECICharset.php : 31
`public mixed ISO_IEC_8859_8 = 10`

#### ISO_IEC_8859_9

ECICharset.php : 32
`public mixed ISO_IEC_8859_9 = 11`

#### MB_ENCODINGS

ECICharset.php : 58

map of charset id -> name

`public mixed MB_ENCODINGS = [ self::CP437 => null, self::ISO_IEC_8859_1_GLI => null, self::CP437_WO_GLI => null, self::ISO_IEC_8859_1 => 'ISO-8859-1', self::ISO_IEC_8859_2 => 'ISO-8859-2', self::ISO_IEC_8859_3 => 'ISO-8859-3', self::ISO_IEC_8859_4 => 'ISO-8859-4', self::ISO_IEC_8859_5 => 'ISO-8859-5', self::ISO_IEC_8859_6 => 'ISO-8859-6', self::ISO_IEC_8859_7 => 'ISO-8859-7', self::ISO_IEC_8859_8 => 'ISO-8859-8', self::ISO_IEC_8859_9 => 'ISO-8859-9', self::ISO_IEC_8859_10 => 'ISO-8859-10', self::ISO_IEC_8859_11 => null, self::ISO_IEC_8859_13 => 'ISO-8859-13', self::ISO_IEC_8859_14 => 'ISO-8859-14', self::ISO_IEC_8859_15 => 'ISO-8859-15', self::ISO_IEC_8859_16 => 'ISO-8859-16', self::SHIFT_JIS => 'SJIS', self::WINDOWS_1250_LATIN_2 => null, // @see https://www.php.net/manual/en/function.mb-convert-encoding.php#112547 self::WINDOWS_1251_CYRILLIC => 'Windows-1251', self::WINDOWS_1252_LATIN_1 => 'Windows-1252', self::WINDOWS_1256_ARABIC => null, // @see https://stackoverflow.com/a/8592995 self::ISO_IEC_10646_UCS_2 => 'UTF-16BE', self::ISO_IEC_10646_UTF_8 => 'UTF-8', self::ISO_IEC_646_1991 => 'ASCII', self::BIG5 => 'BIG-5', self::GB18030 => 'GB18030', self::EUC_KR => 'EUC-KR', ]`

##### Tags

see
  mb_list_encodings()

#### SHIFT_JIS

ECICharset.php : 41
`public mixed SHIFT_JIS = 20`

#### WINDOWS_1250_LATIN_2

ECICharset.php : 42
`public mixed WINDOWS_1250_LATIN_2 = 21`

#### WINDOWS_1251_CYRILLIC

ECICharset.php : 43
`public mixed WINDOWS_1251_CYRILLIC = 22`

#### WINDOWS_1252_LATIN_1

ECICharset.php : 44
`public mixed WINDOWS_1252_LATIN_1 = 23`

#### WINDOWS_1256_ARABIC

ECICharset.php : 45
`public mixed WINDOWS_1256_ARABIC = 24`

### Properties

#### $charsetID

ECICharset.php : 93

The current ECI character set ID

`private int $charsetID`

### Methods

#### __construct()

ECICharset.php : 98
`public __construct(int $charsetID) : mixed`

##### Parameters

$charsetID : int

##### Tags

throws
  QRCodeException

##### Return values

mixed —

#### getID()

ECICharset.php : 110

Returns the current character set ID

`public getID() : int`

##### Return values

int —

#### getName()

ECICharset.php : 120

Returns the name of the current character set or null if no name is available

`public getName() : string|null`

##### Tags

see
  mb_convert_encoding()
see
  iconv()

##### Return values

string|null —

## Search results